
package de.ivu.elect.presentation.wertelisten.action;

import javax.inject.Inject;

import de.ivu.elect.business.wertelisten.boundary.WertelistenChangeEvent;
import de.ivu.elect.business.wertelisten.entity.Wertelisten;
import de.ivu.elect.presentation.menu.AbstractActionEntry;
import de.ivu.elect.presentation.security.AbstractGebietSecurity;

public abstract class AbstractWertelistenAction extends AbstractActionEntry<Wertelisten> {

  private static final long serialVersionUID = 1L;

  @Inject
  private WertelistenChangeEvent changeEvent;

  @Override
  protected void fireChangeEvent() {
    changeEvent.sendChangeEvent();
  }


  @Override
  protected AbstractGebietSecurity getGebietSecurity() {
    return KEINE_GEBIET_SECURITY;
  }
}
